# == Class: postfix::install
#
# Manages installation of postfix.
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#

class postfix::install (
  $smarthost,
  $port,
  $username,
  $password,
  $admin_email,
  $alias_domains,
  $alias_files,
  $key_file,
  $cert_file,
  $ca_file
) {

  # Install the Postfix package.

  package { 'postfix':
    ensure => 'present'
  }

  # Create the Postfix configuration file.

  file { 'main.cf':
    ensure  => 'present',
    path    => '/etc/postfix/main.cf',
    content => template('postfix/main.cf.erb'),
    require => Package['postfix'],
    notify  => Service['postfix']
  }

  # Enable the Postfix service.

  service { 'postfix':
    ensure  => 'running',
    require => Package['postfix']
  }

}
