# == Class: postfix::params
#
# Manages parameters for the postfix module.
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#

class postfix::params () {

  # Work out what packages are required to support SASL.

  case $::osfamily {

    'Debian': {
      $sasl_packages = [ 'sasl2-bin', 'libsasl2-2', 'libsasl2-modules' ]
    }

    'RedHat': {
      $sasl_packages = [ 'cyrus-sasl', 'cyrus-sasl-plain', 'cyrus-sasl-md5' ]
    }

    default: {
      $sasl_packages = false
    }
  }
}
