# == Type postfix::regexp
#
# Creates a new virtual regexp mapping.
#
# === Parameters
#
# [*title*]
#   (Namevar) The regexp that appears on the left-hand side of the mapping.
#
# [*to*]
#   (Required) The right-hand side of the regexp mapping.
#
# [*order*]
#   (Optional) Number representing where this mapping should appear in the
#   virtual regexp file (defaults to '50'). 
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#

define postfix::regexp (
  $to,
  $order = '50'
) {

  # Create the virtual regexp mapping.

  $target = '/etc/postfix/virtual_regexp'

  concat::fragment { "regexp_${title}":
    target  => $target,
    order   => $order,
    content => "${title} ${to}"
  }

}
