# == Type postfix::transport
#
# Creates a new transport mapping.
#
# === Parameters
#
# [*title*]
#   (Namevar) The left-hand side of the transport mapping.
#
# [*to*]
#   (Required) The right-hand side of the transport mapping.
#
# [*order*]
#   (Optional) Number representing where this mapping should appear in the
#   transport file (defaults to '50'). 
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#

define postfix::transport (
  $to,
  $order = '50'
) {

  # Create the transport mapping.

  $target = '/etc/postfix/transport'

  concat::fragment { "transport_${title}":
    target  => $target,
    order   => $order,
    content => "${title} ${to}"
  }

}
