# == Type postfix::virtual
#
# Creates a new virtual mapping.
#
# === Parameters
#
# [*title*]
#   (Namevar) The left-hand side of the virtual mapping.
#
# [*to*]
#   (Required) The right-hand side of the virtual mapping.
#
# [*order*]
#   (Optional) Number representing where this mapping should appear in the
#   virtual file (defaults to '50'). 
#
# === Authors
#
# David McNicol <david@mcnicks.org>
#

define postfix::virtual (
  $to,
  $order = '50'
) {

  # Create the virtual mapping.

  $target = '/etc/postfix/virtual'

  concat::fragment { "virtual_${title}":
    target  => $target,
    order   => $order,
    content => "${title} ${to}"
  }

}
